{ pkgs }:

{
  # The minimum amount of dependencies in order to run 'just switch-now'
  default = pkgs.mkShell {
    packages = with pkgs; [
      just
      git
      git-crypt
      nh
    ];
  };
  # Formatters needed for 'just fmt'
  format = pkgs.mkShell {
    packages = with pkgs; [
      biome
      nixfmt-rfc-style
      treefmt
      shfmt
    ];
  };
}
